<?
/*******************************************************************************
*    NOSpam 1.0.                                                               *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

ini_set("session.auto_start", "0");
ini_set("session.use_cookies", "0");
session_start();

session_register("session");

// Language identification from Browser's settings
if($lang == '')
  {
    $tok                    = strtok($GLOBALS['HTTP_ACCEPT_LANGUAGE'], "[-,]");
    while($lang == '')
      {
        if(($tok == 'de') ||
           ($tok == 'en') ||
           ($tok == 'it'))
          $lang             = $tok;
        $tok                = strtok("[-,]");
        if($tok == '')
          $lang             = 'de';
      }
    if($lang == '')
      $lang                 = 'de';
  }

// Multilanguage settings.
switch($lang)
  {
    case 'de':
      $warningStr           = "Vorsicht! Ihre Browser kann nicht Frames zeigen.<br>\nUm diese Seiten zu zeigen, ist es n&ouml;tig ein Browser<br>\ndas Frames benutzen kann, wie, zB, Netscape 3.0 oder besser.";
    break;
    case 'en':
      $warningStr           = "Warning! This browser doesn't support Frames.<br>\nIn order to use these pages, you have to use<br>\na browser with frames support, eg: Netscape 3.0 or better.";
    break;
    case 'it':
      $warningStr           = "Attenzione! Il browser non supporta i frames. Per visualizzare queste pagine &egrave; necessario<br>\nscaricare un browser che supporti tali opzioni. <br>\n&Egrave; consigliato Netscape 3.0 o superiore.";
    break;
  }

$session["host"]            = ${'REMOTE_ADDR'};
$session["language"]        = $lang;

if($popServer != '')
  {
    $session["popServer"]   = $popServer;
    $session["popUser"]     = $popUser;
    $session["smtpServer"]  = $smtpServer;
    $session["eMail"]       = $eMail;
    $session["popLogged"]   = '';
  }
?>
<HTML>
<TITLE>NOSpam 1.0</TITLE>
<FRAMESET ROWS="150,*" BORDER="0">
  <FRAME NAME="config" SCROLLING="NO" SRC="config.php?sid=<? print session_id(); ?>">
  <FRAME NAME="main" SCROLLING="AUTO" SRC="main.php?sid=<? print session_id(); ?>">
</FRAMESET>
<NOFRAME>
<BODY>
<? print $warningStr; ?>
</BODY>
</NOFRAME>
</HTML>