<?
/*******************************************************************************
*    NOSpam 1.0.                                                               *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');

$lang                     = $session["language"];
$popServer                = $session["popServer"];
$popUser                  = $session["popUser"];
$popPassword              = $session["popPassword"];
$smtpServer               = $session["smtpServer"];
$eMail                    = $session["eMail"];
$popLogged                = $session["popLogged"];

switch($lang)
  {
    case 'de':
      $noMessageStr       = 'Keine E-Mail auf dem Server';
      $listMessageStr     = 'E-Mail auf dem Server:';
      $fromStr            = 'Absender:';
      $subjectStr         = 'Betreff:';
      $removeMsgStr       = 'L&ouml;schen';
      $messageStr         = 'Meldung nr.';
      $removeStr          = 'wird gel&ouml;scht';
      $returnMsgStr       = 'Zum Absender zur&uuml;cksenden';
      $returnStr          = 'wird zur&uuml;ck geschickt';
      $updateStr          = 'Aktualisieren';
      $badLoginStr        = 'Falscher Login oder Passwort';
    break;
    case 'en':
      $noMessageStr       = 'No E-Mail on Server';
      $listMessageStr     = 'E-Mail on Server:';
      $fromStr            = 'From:';
      $subjectStr         = 'Subject:';
      $removeMsgStr       = 'Delete';
      $messageStr         = 'Message nr.';
      $removeStr          = 'deleted';
      $returnMsgStr       = 'Return to sender';
      $returnStr          = 'sent back to sender';
      $updateStr          = 'Update';
      $badLoginStr        = 'Bad Login or Password';
    break;
    case 'it':
      $noMessageStr       = 'Nessuna E-Mail sul Server';
      $listMessageStr     = 'E-Mail sul Server:';
      $fromStr            = 'Da:';
      $subjectStr         = 'Soggetto:';
      $removeMsgStr       = 'Cancella';
      $messageStr         = 'Il messaggio n.';
      $removeStr          = '&egrave; stato cancellato';
      $returnMsgStr       = 'Ritorna al mittente';
      $returnStr          = '&egrave; stato rispedito al mittente';
      $updateStr          = 'Aggiorna';
      $badLoginStr        = 'Login o Password errata';
    break;
  }
?>
<HTML>
<BODY BGCOLOR="#DDFEFF">
<?
if($popLogged != 'true')
  $action                 = '';
if(($action == 'delete') && ($popLogged == 'true'))
  {
    print "<B>$messageStr $nMsg $removeStr</B>\n";
    $mbox                 = new Pop3($popServer, 110, $popUser, $popPassword);
    $mbox->pop3_dele($nMsg);
    $mbox->pop3_quit();
  }
if(($action == 'return') && ($popLogged == 'true'))
  {
    print "<B>$messageStr $nMsg $returnStr</B>\n";
    $mbox                 = new Pop3($popServer, 110, $popUser, $popPassword);
    $data                 = $mbox->pop3_retr($nMsg);
    $mbox->pop3_quit();
    $from                 = '';
    foreach($data as $line)
      {
        chop($line);
        if(strtolower(substr($line, 0, 6)) == 'from: ')
          if($from == '')
            $from         = chop(substr($line, 6));
      }

    $body                 = "From MAILER-DAEMON  ".date("D M j G:i:s Y")."\n";
    $body                .= "Date: ".date("D, j M Y G:i:s T")."\n";
    $body                .= "From: Mail Delivery Subsystem <MAILER-DAEMON>\n";
    $body                .= "To: $from\n";
    $body                .= "MIME-Version: 1.0\n";
    $body                .= "Content-Type: multipart/report; report-type=delivery-status;\n";
    $body                .= "        boundary=\"g25Db4A27807.1015335424\"\n";
    $body                .= "Subject: Returned mail: see transcript for details\n";
    $body                .= "Auto-Submitted: auto-generated (failure)\n\n";
    $body                .= "This is a MIME-encapsulated message\n\n";
    $body                .= "--g25Db4A27807.1015335424\n\n";
    $body                .= "The original message was received at ".date("D, j M Y G:i:s T")."\n";
    $body                .= "from $smtpServer [".gethostbyname($smtpServer)."] (may be forged)\n\n";
    $body                .= "   ----- The following addresses had permanent fatal errors -----\n";
    $body                .= "<$eMail>\n";
    $body                .= "    (reason: 550 <$eMail>... User unknown)\n\n";
    $body                .= "   ----- Transcript of session follows -----\n";
    $body                .= "... while talking to $smtpServer.:\n";
    $body                .= ">>> RCPT To:<$eMail>\n";
    $body                .= "<<< 550 <$eMail>... User unknown\n";
    $body                .= "550 5.1.1 <$eMail>... User unknown\n\n";
    $body                .= "--g25Db4A27807.1015335424\n";
    $body                .= "Content-Type: message/delivery-status\n\n";
    $body                .= "Reporting-MTA: dns; $smtpServer\n";
    $body                .= "Received-From-MTA: DNS; $smtpServer\n";
    $body                .= "Arrival-Date: ".date("D, j M Y G:i:s T")."\n\n";
    $body                .= "Final-Recipient: RFC822; $eMail\n";
    $body                .= "Action: failed\nStatus: 5.1.1\nRemote-MTA: DNS; $popServer\n";
    $body                .= "Diagnostic-Code: SMTP; 550 <$eMail>... User unknown\n";
    $body                .= "Last-Attempt-Date: ".date("D, j M Y G:i:s T")."\n\n";
    $body                .= "--g25Db4A27807.1015335424\n";
    $body                .= "Content-Type: message/rfc822\n\n";
    foreach($data as $line)
      $body              .= $line;
    $body                .= "--g25Db4A27807.1015335424--\n";

    $outMsg               = new Smtp($smtpServer, 25);

    $outMsg->SmtpMail('Mail Delivery Subsystem <MAILER-DAEMON@localhost>', $from, '', '',
                      'Returned mail: see transcript for details', $body, $smtpServer, 'none');
    $outMsg->Close();
  }
if($popLogged == 'true')
  {
    $mbox                 = new Pop3($popServer, 110, $popUser, $popPassword);
    $badLogin             = 0;
    if($mbox->Status["Connection"] == '')
      {
        $headers          = $mbox->pop3_list();
        $nMail            = 1;

        if($headers != false)
          {
            print "<CENTER><H2>$listMessageStr</H2></CENTER>\n";
            print "<TABLE WIDTH=\"80%\" BORDER=\"0\">\n";
            foreach($headers as $header)
              {
                $data     = $mbox->pop3_retr($nMail);
                $from     = '';
                $subject  = '';
                foreach($data as $line)
                  {
                    if(strtolower(substr($line, 0, 6)) == 'from: ')
                      if($from == '')
                        $from     = chop(substr($line, 6));
                    if(strtolower(substr($line, 0, 9)) == 'subject: ')
                      if($subject == '')
                        $subject  = chop(substr($line, 9));
                  }
?>
  <TR>
    <TD WIDTH="10%"><? print $fromStr; ?></TD>
    <TD WIDTH="60%"><? print htmlentities($from); ?></TD>
    <TD WIDTH="30%"><A HREF="<? print $PHP_SELF; ?>?sid=<? print session_id(); ?>&action=delete&nMsg=<? print $nMail; ?>"><IMG SRC="button.gif" BORDER="0">&nbsp;<? print $removeMsgStr; ?></A></TD>
  </TR>
  <TR>
    <TD WIDTH="10%"><? print $subjectStr; ?></TD>
    <TD WIDTH="60%"><? print stripslashes(htmlentities($subject)); ?></TD>
    <TD WIDTH="30%"><A HREF="<? print $PHP_SELF; ?>?sid=<? print session_id(); ?>&action=return&nMsg=<? print $nMail; ?>"><IMG SRC="button.gif" BORDER="0">&nbsp;<? print $returnMsgStr; ?></A></TD>
  </TR>
  <TR>
    <TD COLSPAN="3"><HR></TD>
  </TR>
<?
                $nMail++;
              }
          }
        else
          print "<CENTER><H2>$noMessageStr</H2></CENTER>\n";
      }
    else
      {
        print "<CENTER><H2>$badLoginStr</H2></CENTER>\n";
        $badLogin       = 1;
      }

    $mbox->pop3_quit();
?>
</TABLE>
<BR>
<?
  if($badLogin == 0)
    {
?>
<CENTER><A HREF="<? print $PHP_SELF; ?>?sid=<? print session_id(); ?>"><? print $updateStr; ?></A></CENTER>
<?
    }
  else
    {
      $session["popLogged"]   = '';
      $session["popPassword"] = '';
?>
<SCRIPT Language="JavaScript">
  top.config.location.href="config.php?sid=<? print session_id(); ?>";
</SCRIPT>
<?
    }
  }
?>
</BODY>
</HTML>
